Package Details: firefox-kde-opensuse 68.0-2

Git Clone URL: https://aur.archlinux.org/firefox-kde-opensuse.git (read-only)
Package Base: firefox-kde-opensuse
Description: Standalone web browser from mozilla.org with OpenSUSE patch, integrate better with KDE
Upstream URL: https://build.opensuse.org/package/show/mozilla:Factory/MozillaFirefox
Keywords: browser gecko web
Licenses: GPL, MPL, LGPL
Conflicts: firefox
Provides: firefox=68.0
Submitter: csslayer
Maintainer: Thaodan
Last Packager: Thaodan
Votes: 313
Popularity: 3.722377
First Submitted: 2009-12-11 09:10
Last Updated: 2019-07-11 14:28

Dependencies (48)

Required by (219)

Sources (18)

Pinned Comments

Thaodan commented on 2018-07-11 18:15

upstream git repo:* (https://gitlab.com/Thaodan/firefox-kde-opensuse)

repo in /etc/pacman.conf:

[home-thaodan]
Server = https://thaodan.de/public/archlinux/home-thaodan/x86_64/

import the key

sudo pacman-key --recv-keys BBFE2FD421597395E4FC8C8DF6C85FEE79D661A4
pacman-key --finger BBFE2FD421597395E4FC8C8DF6C85FEE79D661A4
sudo pacman-key --lsign-key  BBFE2FD421597395E4FC8C8DF6C85FEE79D661A4
sudo pacman-key --refresh-keys

fingerprint:

gpg: enabled debug flags: memstat
gpg: keydb: handles=1 locks=0 parse=0 get=1
gpg:        build=0 update=0 insert=0 delete=0
gpg:        reset=0 found=1 not=1 cache=0 not=0
gpg: kid_not_found_cache: count=0 peak=0 flushes=0
gpg: sig_cache: total=2 cached=2 good=2 bad=0
gpg: random usage: poolsize=600 mixed=0 polls=0/0 added=0/0
           outmix=0 getlvl1=0/0 getlvl2=0/0
gpg: rndjent stat: collector=0x0000000000000000 calls=0 bytes=0
gpg: secmem usage: 0/32768 bytes in 0 blocks
pub   rsa2048 2015-02-13 [SC]
       BBFE 2FD4 2159 7395 E4FC  8C8D F6C8 5FEE 79D6 61A4
uid        [ ultimativ ] Björn Bidar <theodorstormgrade@gmail.com>
sub   rsa2048 2015-02-13 [E]

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

digitalone commented on 2019-04-25 22:51

Tried to reinstall this and core dump issue is still there. Installed archlinuxcn build and it works.

gfurst commented on 2019-04-08 19:15

Hey, sorry for taking so long Thaodan. Verbose mode doesn't show anything else:

[code]pacman -Sy --verbose :( Root : / Conf File : /etc/pacman.conf DB Path : /var/lib/pacman/ Cache Dirs: /var/cache/pacman/pkg/ /var/cache/pacman/custom/
Hook Dirs : /usr/share/libalpm/hooks/ /etc/pacman.d/hooks/
Lock File : /var/lib/pacman/db.lck Log File : /var/log/pacman.log GPG Dir : /etc/pacman.d/gnupg/ Targets : None :: Synchronising package databases... core is up to date extra is up to date community is up to date multilib is up to date custom is up to date error: failed retrieving file 'home-thaodan.db' from thaodan.de : Connection timed out after 10001 milliseconds error: failed to update home-thaodan (download library error) error: failed to synchronize all databases [/code]

Also, funny thing, I noticed from the pinned comment, the '<' '>'. I don't think these are supposed to be there, but either way it doesn't seem to work.

Thaodan commented on 2019-04-02 18:08

Can you provide logs? May try add --verbose to pacman.

gfurst commented on 2019-04-02 18:04

This may be a bit unrelated here, but I can't get access to the repository (thaodan pre-built) via pacman. Even though I can open it just fine in my browser. What actually happens is that pacman complains of the database being unreachable, but I don't seem to be having dns resolve issues anywhere else. Does anyone have a clue why might this be?

Thaodan commented on 2019-03-27 19:55

Please try again. I had a typo if you look a few lines above.

RemoteAdmin commented on 2019-03-27 14:54

I'm not able to build the current version. It tells me:

 1:42.10 ERROR: --enable-rust-simd does not work with Rust 1.33 or later. See https://bugzilla.mozilla.org/show_bug.cgi?id=1521249 .
 1:42.15 *** Fix above errors and then restart with\
 1:42.15                "./mach build"
 1:42.15 make: *** [client.mk:115: configure] Error 1
==> ERROR: A failure occurred in build().
    Aborting...

Thaodan commented on 2019-03-20 11:52

@sevenk: add CXXFLAGS+="-mno-avx2" to build().

sevenk commented on 2019-03-20 11:45

Moin,

can someone tell me on how to build without avx2? All my attempts so far where fruitless.

What have I to change in PKGBUILD or mozconfig? Or where to put the -mno-avx2 flag?

BR seven

petercxy commented on 2019-03-10 02:32

Or we need to depend on libvpx 1.7 on AUR instead of 1.8

farseerfc commented on 2019-03-09 12:02

@Thaodan libvpx 1.8.0 is not compatible with firefox, so we may need to disable "--with-system-libvpx" in mozconfig to use the mozilla vendored libvpx.